### Method

# Soup ServerMessage get_tls_peer_certificate

since: 3.2

#### Declaration [src]

    GTlsCertificate*
    soup_server_message_get_tls_peer_certificate (
      SoupServerMessage* msg
    )

#### Description [src]

Gets the peer’s `GTlsCertificate` associated with `msg`‘s connection. Note that this is not set yet during the emission of SoupServerMessage::accept-certificate signal.

Available since: 3.2

Gets property | `Soup.ServerMessage:tls-peer-certificate`

#### Return value

Type: `GTlsCertificate`

`msg`‘s TLS peer certificate, or `NULL` if `msg`‘s connection is not SSL.

The returned data is owned by the instance.
The return value can be `NULL`.